[package]
name = "bone-types"
version.workspace = true
edition.workspace = true
license.workspace = true
rust-version.workspace = true

[dependencies]
nalgebra = { workspace = true }
serde = { workspace = true }
slotmap = { workspace = true }
thiserror = { workspace = true }
tracing = { workspace = true, optional = true }
tracing-subscriber = { workspace = true, optional = true }
uom = { workspace = true }

[dev-dependencies]
insta = { workspace = true }

[features]
testing = ["dep:tracing", "dep:tracing-subscriber"]

[lints]
workspace = true
